io.vertx.sqlclient

## Interface Tuple

- All Known Subinterfaces:
    Row

      public interface Tuple

  A general purpose tuple.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Object` | `JSON_NULL` The JSON null literal value.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Tuple` | `addBigDecimal(BigDecimal value)` Add a `BigDecimal` value at the end of the tuple.
    `default Tuple` | `addBigDecimalArray(BigDecimal[] value)` Add an array of `BigDecimal` value at the end of the tuple.
    `default Tuple` | `addBoolean(Boolean value)` Add a boolean value at the end of the tuple.
    `default Tuple` | `addBooleanArray(Boolean[] value)` Add an array of `Boolean` value at the end of the tuple.
    `default Tuple` | `addBuffer(Buffer value)` Add a buffer value at the end of the tuple.
    `default Tuple` | `addBufferArray(Buffer[] value)` Add an array of `Buffer` value at the end of the tuple.
    `default Tuple` | `addDouble(Double value)` Add a double value at the end of the tuple.
    `default Tuple` | `addDoubleArray(Double[] value)` Add an array of `Double` value at the end of the tuple.
    `default Tuple` | `addFloat(Float value)` Add a float value at the end of the tuple.
    `default Tuple` | `addFloatArray(Float[] value)` Add an array of `Float` value at the end of the tuple.
    `default Tuple` | `addInteger(Integer value)` Add an integer value at the end of the tuple.
    `default Tuple` | `addIntegerArray(Integer[] value)` Add an array of `Integer` value at the end of the tuple.
    `default Tuple` | `addLocalDate(java.time.LocalDate value)` Add a `LocalDate` value at the end of the tuple.
    `default Tuple` | `addLocalDateArray(java.time.LocalDate[] value)` Add an array of `LocalDate` value at the end of the tuple.
    `default Tuple` | `addLocalDateTime(java.time.LocalDateTime value)` Add a `LocalDateTime` value at the end of the tuple.
    `default Tuple` | `addLocalDateTimeArray(java.time.LocalDateTime[] value)` Add an array of `LocalDateTime` value at the end of the tuple.
    `default Tuple` | `addLocalTime(java.time.LocalTime value)` Add a `LocalTime` value at the end of the tuple.
    `default Tuple` | `addLocalTimeArray(java.time.LocalTime[] value)` Add an array of `LocalTime` value at the end of the tuple.
    `default Tuple` | `addLong(Long value)` Add a long value at the end of the tuple.
    `default Tuple` | `addLongArray(Long[] value)` Add an array of `Long` value at the end of the tuple.
    `default Tuple` | `addOffsetDateTime(java.time.OffsetDateTime value)` Add a `OffsetDateTime` value at the end of the tuple.
    `default Tuple` | `addOffsetDateTimeArray(java.time.OffsetDateTime[] value)` Add an array of `OffsetDateTime` value at the end of the tuple.
    `default Tuple` | `addOffsetTime(java.time.OffsetTime value)` Add a `OffsetTime` value at the end of the tuple.
    `default Tuple` | `addOffsetTimeArray(java.time.OffsetTime[] value)` Add an array of `OffsetTime` value at the end of the tuple.
    `default Tuple` | `addShort(Short value)` Add a short value at the end of the tuple.
    `default Tuple` | `addShortArray(Short[] value)` Add an array of `Short` value at the end of the tuple.
    `default Tuple` | `addString(String value)` Add a string value at the end of the tuple.
    `default Tuple` | `addStringArray(String[] value)` Add an array of `String` value at the end of the tuple.
    `default Tuple` | `addTemporal(java.time.temporal.Temporal value)` Add a `Temporal` value at the end of the tuple.
    `default Tuple` | `addTemporalArray(java.time.temporal.Temporal[] value)` Add an array of `Temporal` value at the end of the tuple.
    `default Tuple` | `addUUID(UUID value)` Add a `UUID` value at the end of the tuple.
    `default Tuple` | `addUUIDArray(UUID[] value)` Add an array of `UUID` value at the end of the tuple.
    `Tuple` | `addValue(Object value)` Add an object value at the end of the tuple.
    `default <T> Tuple` | `addValues(T[] value)`
    `void` | `clear()`
    `default String` | `deepToString()`
    `default <T> T` | `get(Class<T> type, int pos)`
    `default BigDecimal` | `getBigDecimal(int pos)` Get `BigDecimal` value at `pos`.
    `default BigDecimal[]` | `getBigDecimalArray(int pos)` Get an array of `BigDecimal` value at `pos`.
    `default Boolean` | `getBoolean(int pos)` Get a boolean value at `pos`.
    `default Boolean[]` | `getBooleanArray(int pos)` Get an array of `Boolean` value at `pos`.
    `default Buffer` | `getBuffer(int pos)` Get a buffer value at `pos`.
    `default Buffer[]` | `getBufferArray(int pos)` Get an array of `Buffer` value at `pos`.
    `default Double` | `getDouble(int pos)` Get a double value at `pos`.
    `default Double[]` | `getDoubleArray(int pos)` Get an array of `Double` value at `pos`.
    `default Float` | `getFloat(int pos)` Get a float value at `pos`.
    `default Float[]` | `getFloatArray(int pos)` Get an array of `Float` value at `pos`.
    `default Integer` | `getInteger(int pos)` Get an integer value at `pos`.
    `default Integer[]` | `getIntegerArray(int pos)` Get an array of `Integer` value at `pos`.
    `default java.time.LocalDate` | `getLocalDate(int pos)` Get `LocalDate` value at `pos`.
    `default java.time.LocalDate[]` | `getLocalDateArray(int pos)` Get an array of `LocalDate` value at `pos`.
    `default java.time.LocalDateTime` | `getLocalDateTime(int pos)` Get `LocalDateTime` value at `pos`.
    `default java.time.LocalDateTime[]` | `getLocalDateTimeArray(int pos)` Get an array of `LocalDateTime` value at `pos`.
    `default java.time.LocalTime` | `getLocalTime(int pos)` Get `LocalTime` value at `pos`.
    `default java.time.LocalTime[]` | `getLocalTimeArray(int pos)` Get an array of `LocalTime` value at `pos`.
    `default Long` | `getLong(int pos)` Get a long value at `pos`.
    `default Long[]` | `getLongArray(int pos)` Get an array of `Long` value at `pos`.
    `default java.time.OffsetDateTime` | `getOffsetDateTime(int pos)` Get `OffsetDateTime` value at `pos`.
    `default java.time.OffsetDateTime[]` | `getOffsetDateTimeArray(int pos)` Get an array of `OffsetDateTime` value at `pos`.
    `default java.time.OffsetTime` | `getOffsetTime(int pos)` Get `OffsetTime` value at `pos`.
    `default java.time.OffsetTime[]` | `getOffsetTimeArray(int pos)` Get an array of `OffsetTime` value at `pos`.
    `default Short` | `getShort(int pos)` Get a short value at `pos`.
    `default Short[]` | `getShortArray(int pos)` Get an array of `Short` value at `pos`.
    `default String` | `getString(int pos)` Get a string value at `pos`.
    `default String[]` | `getStringArray(int pos)` Get an array of `String` value at `pos`.
    `default java.time.temporal.Temporal` | `getTemporal(int pos)` Get a `Temporal` value at `pos`.
    `default java.time.temporal.Temporal[]` | `getTemporalArray(int pos)` Get an array of `Temporal` value at `pos`.
    `default UUID` | `getUUID(int pos)` Get `UUID` value at `pos`.
    `default UUID[]` | `getUUIDArray(int pos)` Get an array of `UUID` value at `pos`.
    `Object` | `getValue(int pos)` Get an object value at `pos`.
    `default <T> T[]` | `getValues(Class<T> type, int pos)`
    `static Tuple` | `of(Object elt1)` Create a tuple of one element.
    `static Tuple` | `of(Object elt1, Object... elts)` Create a tuple of an arbitrary number of elements.
    `static Tuple` | `of(Object elt1, Object elt2)` Create a tuple of two elements.
    `static Tuple` | `of(Object elt1, Object elt2, Object elt3)` Create a tuple of three elements.
    `static Tuple` | `of(Object elt1, Object elt2, Object elt3, Object elt4)` Create a tuple of four elements.
    `static Tuple` | `of(Object elt1, Object elt2, Object elt3, Object elt4, Object elt5)` Create a tuple of five elements.
    `static Tuple` | `of(Object elt1, Object elt2, Object elt3, Object elt4, Object elt5, Object elt6)` Create a tuple of six elements.
    `int` | `size()`
    `static Tuple` | `tuple()`
    `static Tuple` | `tuple(List<Object> elements)` Create a tuple with the provided `elements` list.
    `default List<Class<?>>` | `types()`
    `static Tuple` | `wrap(List<Object> list)` Wrap the provided `list` with a tuple.
    `static Tuple` | `wrap(Object... array)` Wrap the provided `array` with a tuple.

- - ### Field Detail

    - #### JSON_NULL

          static final Object JSON_NULL

      The JSON null literal value.
      It is used to distinguish a JSON null literal value from the Java `null` value. This is only used when the database supports JSON types.

  - ### Method Detail

    - #### tuple

          static Tuple tuple()

      Returns:
        a new empty tuple

    - #### wrap

          static Tuple wrap(List<Object> list)

      Wrap the provided `list` with a tuple.
      The list is not copied and is used as store for tuple elements.
      Returns:
        the list wrapped as a tuple

    - #### wrap

          static Tuple wrap(Object... array)

      Wrap the provided `array` with a tuple.
      The array is not copied and is used as store for tuple elements.
      Returns:
        the list wrapped as a tuple

    - #### of

          static Tuple of(Object elt1)

      Create a tuple of one element.
      Parameters:
        `elt1` - the first value
      Returns:
        the tuple

    - #### of

          static Tuple of(Object elt1,
                          Object elt2)

      Create a tuple of two elements.
      Parameters:
        `elt1` - the first value
        `elt2` - the second value
      Returns:
        the tuple

    - #### of

          static Tuple of(Object elt1,
                          Object elt2,
                          Object elt3)

      Create a tuple of three elements.
      Parameters:
        `elt1` - the first value
        `elt2` - the second value
        `elt3` - the third value
      Returns:
        the tuple

    - #### of

          static Tuple of(Object elt1,
                          Object elt2,
                          Object elt3,
                          Object elt4)

      Create a tuple of four elements.
      Parameters:
        `elt1` - the first value
        `elt2` - the second value
        `elt3` - the third value
        `elt4` - the fourth value
      Returns:
        the tuple

    - #### of

          static Tuple of(Object elt1,
                          Object elt2,
                          Object elt3,
                          Object elt4,
                          Object elt5)

      Create a tuple of five elements.
      Parameters:
        `elt1` - the first value
        `elt2` - the second value
        `elt3` - the third value
        `elt4` - the fourth value
        `elt5` - the fifth value
      Returns:
        the tuple

    - #### of

          static Tuple of(Object elt1,
                          Object elt2,
                          Object elt3,
                          Object elt4,
                          Object elt5,
                          Object elt6)

      Create a tuple of six elements.
      Parameters:
        `elt1` - the first value
        `elt2` - the second valueg
        `elt3` - the third value
        `elt4` - the fourth value
        `elt5` - the fifth value
        `elt6` - the sixth value
      Returns:
        the tuple

    - #### of

          static Tuple of(Object elt1,
                          Object... elts)

      Create a tuple of an arbitrary number of elements.
      Parameters:
        `elt1` - the first element
        `elts` - the remaining elements
      Returns:
        the tuple

    - #### tuple

          static Tuple tuple(List<Object> elements)

      Create a tuple with the provided `elements` list.

      The `elements` list is not modified.
      Parameters:
        `elements` - the list of elements
      Returns:
        the tuple

    - #### getValue

          Object getValue(int pos)

      Get an object value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getBoolean

          default Boolean getBoolean(int pos)

      Get a boolean value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getShort

          default Short getShort(int pos)

      Get a short value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getInteger

          default Integer getInteger(int pos)

      Get an integer value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLong

          default Long getLong(int pos)

      Get a long value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getFloat

          default Float getFloat(int pos)

      Get a float value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getDouble

          default Double getDouble(int pos)

      Get a double value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getString

          default String getString(int pos)

      Get a string value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getTemporal

          default java.time.temporal.Temporal getTemporal(int pos)

      Get a `Temporal` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLocalDate

          default java.time.LocalDate getLocalDate(int pos)

      Get `LocalDate` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLocalTime

          default java.time.LocalTime getLocalTime(int pos)

      Get `LocalTime` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLocalDateTime

          default java.time.LocalDateTime getLocalDateTime(int pos)

      Get `LocalDateTime` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getOffsetTime

          default java.time.OffsetTime getOffsetTime(int pos)

      Get `OffsetTime` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getOffsetDateTime

          default java.time.OffsetDateTime getOffsetDateTime(int pos)

      Get `OffsetDateTime` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getBuffer

          default Buffer getBuffer(int pos)

      Get a buffer value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getUUID

          default UUID getUUID(int pos)

      Get `UUID` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getBigDecimal

          default BigDecimal getBigDecimal(int pos)

      Get `BigDecimal` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getBooleanArray

          default Boolean[] getBooleanArray(int pos)

      Get an array of `Boolean` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getShortArray

          default Short[] getShortArray(int pos)

      Get an array of `Short` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getIntegerArray

          default Integer[] getIntegerArray(int pos)

      Get an array of `Integer` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLongArray

          default Long[] getLongArray(int pos)

      Get an array of `Long` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getFloatArray

          default Float[] getFloatArray(int pos)

      Get an array of `Float` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getDoubleArray

          default Double[] getDoubleArray(int pos)

      Get an array of `Double` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getStringArray

          default String[] getStringArray(int pos)

      Get an array of `String` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getTemporalArray

          default java.time.temporal.Temporal[] getTemporalArray(int pos)

      Get an array of `Temporal` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLocalDateArray

          default java.time.LocalDate[] getLocalDateArray(int pos)

      Get an array of `LocalDate` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLocalTimeArray

          default java.time.LocalTime[] getLocalTimeArray(int pos)

      Get an array of `LocalTime` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLocalDateTimeArray

          default java.time.LocalDateTime[] getLocalDateTimeArray(int pos)

      Get an array of `LocalDateTime` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getOffsetTimeArray

          default java.time.OffsetTime[] getOffsetTimeArray(int pos)

      Get an array of `OffsetTime` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getOffsetDateTimeArray

          default java.time.OffsetDateTime[] getOffsetDateTimeArray(int pos)

      Get an array of `OffsetDateTime` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getBufferArray

          default Buffer[] getBufferArray(int pos)

      Get an array of `Buffer` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getUUIDArray

          default UUID[] getUUIDArray(int pos)

      Get an array of `UUID` value at `pos`.
      Parameters:
        `pos` - the column
      Returns:
        the value or `null`

    - #### getBigDecimalArray

          default BigDecimal[] getBigDecimalArray(int pos)

      Get an array of `BigDecimal` value at `pos`.
      Parameters:
        `pos` - the column
      Returns:
        the value or `null`

    - #### addValue

          Tuple addValue(Object value)

      Add an object value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addBoolean

          default Tuple addBoolean(Boolean value)

      Add a boolean value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addShort

          default Tuple addShort(Short value)

      Add a short value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addInteger

          default Tuple addInteger(Integer value)

      Add an integer value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLong

          default Tuple addLong(Long value)

      Add a long value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addFloat

          default Tuple addFloat(Float value)

      Add a float value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addDouble

          default Tuple addDouble(Double value)

      Add a double value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addString

          default Tuple addString(String value)

      Add a string value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addTemporal

          default Tuple addTemporal(java.time.temporal.Temporal value)

      Add a `Temporal` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLocalDate

          default Tuple addLocalDate(java.time.LocalDate value)

      Add a `LocalDate` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLocalTime

          default Tuple addLocalTime(java.time.LocalTime value)

      Add a `LocalTime` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLocalDateTime

          default Tuple addLocalDateTime(java.time.LocalDateTime value)

      Add a `LocalDateTime` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addOffsetTime

          default Tuple addOffsetTime(java.time.OffsetTime value)

      Add a `OffsetTime` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addOffsetDateTime

          default Tuple addOffsetDateTime(java.time.OffsetDateTime value)

      Add a `OffsetDateTime` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addBuffer

          default Tuple addBuffer(Buffer value)

      Add a buffer value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addUUID

          default Tuple addUUID(UUID value)

      Add a `UUID` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addBigDecimal

          default Tuple addBigDecimal(BigDecimal value)

      Add a `BigDecimal` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addBooleanArray

          default Tuple addBooleanArray(Boolean[] value)

      Add an array of `Boolean` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addShortArray

          default Tuple addShortArray(Short[] value)

      Add an array of `Short` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addIntegerArray

          default Tuple addIntegerArray(Integer[] value)

      Add an array of `Integer` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLongArray

          default Tuple addLongArray(Long[] value)

      Add an array of `Long` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addFloatArray

          default Tuple addFloatArray(Float[] value)

      Add an array of `Float` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addDoubleArray

          default Tuple addDoubleArray(Double[] value)

      Add an array of `Double` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addStringArray

          default Tuple addStringArray(String[] value)

      Add an array of `String` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addTemporalArray

          default Tuple addTemporalArray(java.time.temporal.Temporal[] value)

      Add an array of `Temporal` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLocalDateArray

          default Tuple addLocalDateArray(java.time.LocalDate[] value)

      Add an array of `LocalDate` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLocalTimeArray

          default Tuple addLocalTimeArray(java.time.LocalTime[] value)

      Add an array of `LocalTime` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLocalDateTimeArray

          default Tuple addLocalDateTimeArray(java.time.LocalDateTime[] value)

      Add an array of `LocalDateTime` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addOffsetTimeArray

          default Tuple addOffsetTimeArray(java.time.OffsetTime[] value)

      Add an array of `OffsetTime` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addOffsetDateTimeArray

          default Tuple addOffsetDateTimeArray(java.time.OffsetDateTime[] value)

      Add an array of `OffsetDateTime` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addBufferArray

          default Tuple addBufferArray(Buffer[] value)

      Add an array of `Buffer` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addUUIDArray

          default Tuple addUUIDArray(UUID[] value)

      Add an array of `UUID` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addBigDecimalArray

          default Tuple addBigDecimalArray(BigDecimal[] value)

      Add an array of `BigDecimal` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### get

          default <T> T get(Class<T> type,
                            int pos)

    - #### getValues

          default <T> T[] getValues(Class<T> type,
                                    int pos)

    - #### addValues

          default <T> Tuple addValues(T[] value)

    - #### size

          int size()

      Returns:
        the tuple size

    - #### clear

          void clear()

    - #### types

          default List<Class<?>> types()

      Returns:
        the list of types built from the tuple

    - #### deepToString

          default String deepToString()

      Returns:
        A String containing the `Object.toString()` value of each element, separated by a comma (,) character

Copyright © 2020 Eclipse. All rights reserved.